## xtrkcad 5.1.2a

=== debian/changelog ===
xtrkcad (1:5.1.2a-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream applied debian/patches/0100-messages_h.patch.
    - Refresh debian/patches/0900-spelling-errors.patch.
  * Rename NEWS.Debian to NEWS.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Switch to debhelper-compat:
    - debian/control: change to debhelper-compat (=13).
    - remove debian/compat.
  * debian/copyright:
    - Remove File-Excluded.
    - Add year 2020 to myself.
  * debian/watch:
    - Fix syntax.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 27 May 2020 22:14:59 +0200

=== debian/control ===
Source: xtrkcad
Section: editors
Priority: optional
Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgtk2.0-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://xtrkcad.org/
Vcs-Git: git://jff.email/opt/git/xtrkcad.git
Vcs-Browser: https://jff.email/cgit/xtrkcad.git/

Package: xtrkcad
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xtrkcad-common (= ${source:Version})
Description: CAD program for designing model railroad layouts
 With XTrackCAD you can:
  Design layouts in any scale and gauge
  Use the predefined libraries for many popular brands of turnouts to
  help you get started easily
  Add your own favorite components
  Manipulate track much like you would with actual flex-track to modify
  extend and join tracks and turnouts
  Test your design by running trains, including picking them up and moving
  them with the mouse.
  At any point you can print the design in a scale of your choice. When
  printed in 1:1 scale the printout can be used as a template for laying
  the track to build your dream layout.
  Learning XTrackCAD is made easy with the extensive on-line help and
  demonstrations.

Package: xtrkcad-common
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 xtrkcad (<< 1:4.2.4a-1)
Replaces:
 xtrkcad (<< 1:4.2.4a-1)
Description: CAD program for designing model railroad layouts (common files)
 With XTrackCAD you can:
  Design layouts in any scale and gauge
  Use the predefined libraries for many popular brands of turnouts to
  help you get started easily
  Add your own favorite components
  Manipulate track much like you would with actual flex-track to modify
  extend and join tracks and turnouts
  Test your design by running trains, including picking them up and moving
  them with the mouse.
  At any point you can print the design in a scale of your choice. When
  printed in 1:1 scale the printout can be used as a template for laying
  the track to build your dream layout.
  Learning XTrackCAD is made easy with the extensive on-line help and
  demonstrations.
 .
 This package contains the demo, examples, parameter and the help files.

## xtrkcad 5.2.0~hg8988e0

=== debian/changelog ===
xtrkcad (1:5.2.0~hg8988e0-1~mx17+1) mx; urgency=medium

  * New upstream snapshot, build for MX 17.
  * Revert to debhelper 10 compat.
  * Refresh 0900-spelling-errors.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Apr 2018 15:42:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: xtrkcad
 Section: editors
 Priority: optional
-Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  cmake,
- debhelper-compat (= 13),
+ debhelper (>= 10),
  libgtk2.0-dev
-Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.1.3
 Homepage: http://xtrkcad.org/
-Vcs-Git: git://jff.email/opt/git/xtrkcad.git
-Vcs-Browser: https://jff.email/cgit/xtrkcad.git/
+Vcs-Git: git://anonscm.debian.org/collab-maint/xtrkcad.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xtrkcad.git
 
 Package: xtrkcad
 Architecture: any

## xtrkcad 5.2.0Beta2.1

=== CMakeLists.txt ===
PROJECT(XTrkCAD)
enable_testing()
cmake_minimum_required(VERSION 2.8)
set(CMAKE_MACOSX_RPATH 0)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked

# additional CMake modules can be found here
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/CMake")

# Setup high-level build options ...
if(UNIX)
    include(FindPkgConfig)
    set(XTRKCAD_USE_GTK_DEFAULT ON)
   if(APPLE)
	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)
	SET(XTRKCAD_USE_APPLEHELP_DEFAULT ON)
	PKG_CHECK_MODULES(GTK_WEBKIT "webkit-1.0" QUIET)
        if(GTK_WEBKIT_FOUND)
            set(XTRKCAD_USE_BROWSER_DEFAULT OFF)
        else()
            set(XTRKCAD_USE_BROWSER_DEFAULT ON)
        endif()
   else()
    set(XTRKCAD_USE_BROWSER_DEFAULT ON)
   endif(APPLE)
endif(UNIX)

find_package(Libzip)
find_package(Zlib)

IF(WIN32)
	SET(XTRKCAD_USE_GTK_DEFAULT OFF)
	SET(XTRKCAD_USE_GETTEXT_DEFAULT ON)

	SET(CMAKE_C_FLAGS_DEBUG "/D_DEBUG /MTd /Zi  /Ob0 /Od /RTC1" CACHE STRING "Flags used by the compiler during debug builds" FORCE)
	SET(CMAKE_C_FLAGS_MINSIZEREL "/MT /O1 /Ob1 /D NDEBUG" CACHE STRING "Flags used by the compiler during release minumum size builds" FORCE)
	SET(CMAKE_C_FLAGS_RELEASE "/MT /O2 /Ob2 /D NDEBUG" CACHE STRING "Flags used by the compiler during release builds" FORCE)
	SET(CMAKE_C_FLAGS_RELWITHDEBINFO "/MT /Zi /O2 /Ob1 /D NDEBUG" CACHE STRING "Flags used by the compiler during release with debug info builds" FORCE)

	ADD_DEFINITIONS(-DWINDOWS)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
ENDIF(WIN32)

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
    if( POLICY CMP0026 )
	cmake_policy(SET CMP0026 NEW)
    endif( POLICY CMP0026 )
endif(COMMAND cmake_policy)

SET(XTRKCAD_USE_DOXYGEN_DEFAULT OFF)

OPTION(XTRKCAD_USE_GTK "Use GTK for the graphical user interface back-end" ${XTRKCAD_USE_GTK_DEFAULT})
OPTION(XTRKCAD_USE_GETTEXT "Use gettext for internationalization" ${XTRKCAD_USE_GETTEXT_DEFAULT})
OPTION(XTRKCAD_USE_DOXYGEN "Generate internals documentation using doxygen" ${XTRKCAD_USE_DOXYGEN_DEFAULT})
if(UNIX AND NOT APPLE)
    option(XTRKCAD_USE_BROWSER "Show help in default browser" ${XTRKCAD_USE_BROWSER_DEFAULT})
endif()

if(APPLE)
	option(XTRKCAD_USE_APPLEHELP "Show help in Apple Help" ${XTRKCAD_USE_APPLEHELP_DEFAULT})
	option(XTRKCAD_USE_BROWSER "Show help in default browser" ${XTRKCAD_USE_BROWSER_DEFAULT})
endif()

IF(UNIX)
    PKG_CHECK_MODULES(GTK REQUIRED "gtk+-2.0")
ENDIF()

IF(APPLE)
	OPTION(XTRKCAD_USE_PACKAGEMAKER "Generate an OSX PackageMaker package for distribution." OFF)
ENDIF(APPLE)

# Hide the advanced stuff ...
MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)
MARK_AS_ADVANCED(CMAKE_EXECUTABLE_FORMAT)
MARK_AS_ADVANCED(CMAKE_OSX_ARCHITECTURES)
MARK_AS_ADVANCED(CMAKE_OSX_SYSROOT)
MARK_AS_ADVANCED(CMAKE_USE_CHRPATH)
MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH)
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH)

# Test for dependencies ...
IF(WIN32 AND NOT XTRKCAD_USE_GTK)
	FIND_PACKAGE(HTMLHelp REQUIRED)
ENDIF(WIN32 AND NOT XTRKCAD_USE_GTK)

IF(XTRKCAD_USE_PACKAGEMAKER)
	IF(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
		MESSAGE(SEND_ERROR "XTRKCAD_USE_PACKAGEMAKER requires CMAKE_INSTALL_PREFIX set to /usr.")
	ENDIF(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
ENDIF(XTRKCAD_USE_PACKAGEMAKER)

# Find unit testing framework
find_package(CMocka)
if(CMOCKA_FOUND)
 include_directories(${CMOCKA_INCLUDE_DIR})
 set(LIBS ${LIBS} ${CMOCKA_LIBRARIES})
 option( XTRKCAD_TESTING "Build unittests" ON)
endif()

# Find document conversion tool
find_package(Pandoc)

# Test for headers and libraries for portability ...

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)

# Setup some global options for installation ...
SET(XTRKCAD_MAJOR_VERSION "5")
SET(XTRKCAD_MINOR_VERSION "2")
SET(XTRKCAD_RELEASE_VERSION "0")
SET(XTRKCAD_VERSION_MODIFIER "Beta2.1")
SET(XTRKCAD_VERSION "${XTRKCAD_MAJOR_VERSION}.${XTRKCAD_MINOR_VERSION}.${XTRKCAD_RELEASE_VERSION}${XTRKCAD_VERSION_MODIFIER}")

IF(WIN32)
	SET( CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX} ${XTRKCAD_VERSION}" )
ENDIF(WIN32)
SET(XTRKCAD_BIN_INSTALL_DIR "bin")
SET(XTRKCAD_LOCALE_INSTALL_DIR "share/locale")
SET(XTRKCAD_PACKAGE "xtrkcad")
SET(XTRKCAD_SHARE_INSTALL_DIR "share/xtrkcad")

# Enable use of a configuration file ...
ADD_DEFINITIONS(-DXTRKCAD_CMAKE_BUILD)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/xtrkcad-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/xtrkcad-config.h)

IF(XTRKCAD_USE_GETTEXT)
	SET(GENHELP_OPTS "-bhi")
	#
	# Find the GnuWin32 installation directory, the gettext include should be located in subdir include
	#
	IF(WIN32)
		if(MSVC)
			# use supplied gettext library for Visual Studio
			message( STATUS "Use simple_gettext module included with XTrackCAD" )
			ADD_DEFINITIONS(-DUSE_SIMPLE_GETTEXT )
		else()
			# for mingw & co. find libintl.h and use it
			find_path ( INTL_PATH libintl.h )
			if(INTL_PATH)
				message( STATUS "Use installed gettext module" )
				INCLUDE_DIRECTORIES(${INTL_PATH})
			endif(INTL_PATH)
		endif()
	ENDIF(WIN32)
	iF(APPLE)
		find_path ( INTL_PATH libintl.h )
		if(INTL_PATH)
			message( STATUS "Use installed gettext module" )
			INCLUDE_DIRECTORIES(${INTL_PATH})
		endif(INTL_PATH)
	ENDIF(APPLE)
ELSE(XTRKCAD_USE_GETTEXT)
	SET(GENHELP_OPTS "-bh")
ENDIF(XTRKCAD_USE_GETTEXT)

# Setup the rest of the build ...
ADD_SUBDIRECTORY(app)
ADD_SUBDIRECTORY(distribution)
ADD_SUBDIRECTORY(docs)

=== app/CMakeLists.txt ===

# "bin/i18n.h" is widely used
INCLUDE_DIRECTORIES(bin)
include_directories(dynstring)
include_directories(cornu)
include_directories(libzip)

# Setup the rest of the build ...
add_subdirectory(dynstring)
ADD_SUBDIRECTORY(wlib)
ADD_SUBDIRECTORY(tools)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(bin)
ADD_SUBDIRECTORY(lib)
ADD_SUBDIRECTORY(cornu)

IF(XTRKCAD_USE_GETTEXT)
	ADD_SUBDIRECTORY(i18n)
ENDIF(XTRKCAD_USE_GETTEXT)

=== distribution/CMakeLists.txt ===
# Setup global packaging parameters ...
SET(CPACK_PACKAGE_DESCRIPTION "XTrackCad is a CAD program for designing model railroad layouts.")
SET(CPACK_PACKAGE_EXECUTABLES "xtrkcad;XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_FILE_NAME "xtrkcad-setup-${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "XTrkCAD ${XTRKCAD_VERSION}")
SET(CPACK_PACKAGE_NAME "xtrkcad")
SET(CPACK_PACKAGE_VENDOR "XTrackCAD Project")
SET(CPACK_PACKAGE_VERSION ${XTRKCAD_VERSION})
SET(CPACK_PACKAGE_VERSION_MAJOR ${XTRKCAD_MAJOR_VERSION})
SET(CPACK_PACKAGE_VERSION_MINOR ${XTRKCAD_MINOR_VERSION})
SET(CPACK_PACKAGE_VERSION_PATCH ${XTRKCAD_RELEASE_VERSION})
SET(CPACK_RESOURCE_FILE_LICENSE "${XTrkCAD_SOURCE_DIR}/app/COPYING")
SET(CPACK_SOURCE_GENERATOR "ZIP;TGZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "xtrkcad-source-${XTRKCAD_VERSION}")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/downloadpage.wiki.in ${CMAKE_BINARY_DIR}/downloadpage.wiki)

# Setup platform-specific packaging ...
IF(APPLE)
	ADD_SUBDIRECTORY(osx)
ENDIF(APPLE)

IF(UNIX AND NOT APPLE)
	ADD_SUBDIRECTORY(posix)
ENDIF(UNIX AND NOT APPLE)

IF(WIN32)
	ADD_SUBDIRECTORY(win32)
ENDIF(WIN32)

=== app/bin/CMakeLists.txt ===
include( CheckSymbolExists )

ADD_EXECUTABLE(cnvdsgn cnvdsgn.c utility.c)
IF(NOT WIN32)
	TARGET_LINK_LIBRARIES(cnvdsgn m)
ENDIF(NOT WIN32)

MACRO(GENERATE_LIN lin_name)
	ADD_CUSTOM_COMMAND(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${lin_name}.lin
		DEPENDS cnvdsgn ${CMAKE_CURRENT_SOURCE_DIR}/${lin_name}.src
		COMMAND cnvdsgn < ${CMAKE_CURRENT_SOURCE_DIR}/${lin_name}.src > ${CMAKE_CURRENT_BINARY_DIR}/${lin_name}.lin
		)
ENDMACRO(GENERATE_LIN)

GENERATE_LIN(to3way)
GENERATE_LIN(tocrv)
GENERATE_LIN(tocrvsct)
GENERATE_LIN(todcross)
GENERATE_LIN(todslip)
GENERATE_LIN(tolcross)
GENERATE_LIN(torcross)
GENERATE_LIN(toreg)
GENERATE_LIN(tosslip)
GENERATE_LIN(tostrsct)
GENERATE_LIN(towye)
GENERATE_LIN(toxing)
GENERATE_LIN(tocornu)
GENERATE_LIN(tocornuwye)
GENERATE_LIN(tocornu3way)

SET(LIN_SOURCES
	${CMAKE_CURRENT_BINARY_DIR}/to3way.lin
	${CMAKE_CURRENT_BINARY_DIR}/tocrv.lin
	${CMAKE_CURRENT_BINARY_DIR}/tocrvsct.lin
	${CMAKE_CURRENT_BINARY_DIR}/todcross.lin
	${CMAKE_CURRENT_BINARY_DIR}/todslip.lin
	${CMAKE_CURRENT_BINARY_DIR}/tolcross.lin
	${CMAKE_CURRENT_BINARY_DIR}/torcross.lin
	${CMAKE_CURRENT_BINARY_DIR}/toreg.lin
	${CMAKE_CURRENT_BINARY_DIR}/tosslip.lin
	${CMAKE_CURRENT_BINARY_DIR}/tostrsct.lin
	${CMAKE_CURRENT_BINARY_DIR}/towye.lin
	${CMAKE_CURRENT_BINARY_DIR}/toxing.lin
	${CMAKE_CURRENT_BINARY_DIR}/tocornu.lin
	${CMAKE_CURRENT_BINARY_DIR}/tocornuwye.lin
	${CMAKE_CURRENT_BINARY_DIR}/tocornu3way.lin
	)

ADD_CUSTOM_COMMAND(
       OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/bllnhlp.c
       DEPENDS genhelp ${help_SOURCE_DIR}/genhelp.json
       COMMAND genhelp ${GENHELP_OPTS} ${help_SOURCE_DIR}/genhelp.json ${CMAKE_CURRENT_BINARY_DIR}/bllnhlp.c
       )

SET(SOURCES
	${LIN_SOURCES}
	appdefaults.c
	archive.c
	bllnhlp.c
	cbezier.c
	cblock.c
	ccornu.c
	ccurve.c
	ccontrol.c
	cdraw.c
	celev.c
	cgroup.c
	chndldto.c
	chotbar.c
	cjoin.c
	cmisc.c
	cmodify.c
	cnote.c
	compound.c
	cparalle.c
	cprint.c
	cprofile.c
	cpull.c
	cruler.c
	cselect.c
	csensor.c
	csnap.c
	csplit.c
	csignal.c
	cstraigh.c
	cstruct.c
	cswitchmotor.c
	ctext.c
	ctodesgn.c
	ctrain.c
	cturnout.c
	cturntbl.c
	cundo.c
	custom.c
	dbench.c
	dbitmap.c
	dcar.c
	dcmpnd.c
	dcustmgm.c
	dcontmgm.c
	dease.c
	denum.c
	directory.c
	dlayer.c
	doption.c
	dpricels.c
	dprmfile.c
	draw.c
	drawgeom.c
	dxfformat.c
	dxfoutput.c
	elev.c
	file2uri.c
	file2uri.h
	fileio.c
	filenoteui.c
	i18n.c
	layout.c
	linknoteui.c
	lprintf.c
	macro.c
	manifest.c
	misc2.c
	param.c
	paramfile.c
	paramfilelist.c
	paramfilesearch_ui.c
	partcatalog.c
	paths.c
	shortentext.c
	shrtpath.c
	smalldlg.c
	stringxtc.c
	tbezier.c
	tcornu.c
	tcurve.c
	tease.c
	textnoteui.c
	track.c
	trknote.c
	trkseg.c
	tstraigh.c
	utility.c
	validator.c
	cJSON.c
	archive.h
	directory.h
	manifest.h
	validator.h
	)

# add UTF-8 conversion utilities on Windows
if(WIN32)
	set( SOURCES
		${SOURCES}
		utf8convert.c
		include/utf8convert.h
	)
endif(WIN32)

set (SOURCES
	${SOURCES}
	include/dirent.h
	include/paramfile.h
	include/paramfilelist.h
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${XTrkCAD_BINARY_DIR})
INCLUDE_DIRECTORIES(${help_BINARY_DIR})
INCLUDE_DIRECTORIES(${wlib_SOURCE_DIR}/include)
include_directories(${FREEIMAGE_INCLUDE_PATH})
INCLUDE_DIRECTORIES(${LIBZIP_INCLUDE_DIR_ZIP})
INCLUDE_DIRECTORIES(${CJSON_INCLUDE})

LINK_DIRECTORIES(${GTK_LIBRARY_DIRS})
LINK_DIRECTORIES(${GTK_WEBKIT_LIBRARY_DIRS})
LINK_DIRECTORIES(${LIBZIP_LIBZIP_LIBRARY})

ADD_LIBRARY(xtrkcad-lib ${SOURCES})

# This ensures that messages.h has been generated before we build xtrkcad-lib
ADD_DEPENDENCIES(xtrkcad-lib Help)

ADD_EXECUTABLE(xtrkcad WIN32
	misc.c
	xtrkcad.rc
	)
TARGET_LINK_LIBRARIES(xtrkcad xtrkcad-lib)
TARGET_LINK_LIBRARIES(xtrkcad xtrkcad-wlib)
TARGET_LINK_LIBRARIES(xtrkcad xtrkcad-cornu)
TARGET_LINK_LIBRARIES(xtrkcad dynstring)
target_link_libraries(xtrkcad ${LIBZIP_LIBRARY} ${LIBZIP_LIBRARIES})

ADD_EXECUTABLE(mkturnout
	${LIN_SOURCES}
	ctodesgn.c
	utility.c

	)
SET_TARGET_PROPERTIES(mkturnout PROPERTIES COMPILE_FLAGS -DMKTURNOUT)

TARGET_LINK_LIBRARIES(mkturnout xtrkcad-cornu)

IF(NOT WIN32)
	TARGET_LINK_LIBRARIES(mkturnout m)
	TARGET_LINK_LIBRARIES(xtrkcad m)

	# Link libintl for systems where it is a separate library
	find_library( INTL_LIBRARY intl )
	if(INTL_LIBRARY)
		target_link_libraries( mkturnout ${INTL_LIBRARY} )
	endif(INTL_LIBRARY)
ELSE(NOT WIN32)
	TARGET_LINK_LIBRARIES(mkturnout xtrkcad-wlib)

	# copy dlls into the build dir for easier debugging
	add_custom_command(
		TARGET xtrkcad POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy
		${FREEIMAGE_SHAREDLIB}
		${CMAKE_CURRENT_BINARY_DIR}
	)

	add_custom_command(
		TARGET xtrkcad POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy
		${LIBZIP_SHAREDLIB}
		${CMAKE_CURRENT_BINARY_DIR}
	)

	add_custom_command(
		TARGET xtrkcad POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy
		${ZLIB_SHAREDLIB}
		${CMAKE_CURRENT_BINARY_DIR}
	)

	# add dll to install package
	install(FILES
	${LIBZIP_SHAREDLIB}
	DESTINATION ${XTRKCAD_BIN_INSTALL_DIR}
	)
	install(FILES
	${ZLIB_SHAREDLIB}
	DESTINATION ${XTRKCAD_BIN_INSTALL_DIR}
	)
ENDIF(NOT WIN32)

# for testing only, should be IF(APPLE) ...
IF(APPLE)
	ADD_EXECUTABLE( helphelper helphelper.c )
	FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
	FIND_LIBRARY(CARBON_LIBRARY Carbon)
	TARGET_lINK_LIBRARIES(helphelper ${COREFOUNDATION_LIBRARY} ${CARBON_LIBRARY})
	INSTALL(
		TARGETS helphelper
		RUNTIME DESTINATION ${XTRKCAD_BIN_INSTALL_DIR}
		)
ENDIF(APPLE)

INSTALL(
	TARGETS xtrkcad
	RUNTIME DESTINATION ${XTRKCAD_BIN_INSTALL_DIR}
	)

if(XTRKCAD_TESTING AND CMOCKA_FOUND)
	add_subdirectory( unittest )
endif()

=== app/doc/CMakeLists.txt ===
PROJECT(doc)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/intro.but.in ${CMAKE_CURRENT_BINARY_DIR}/intro.but)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/clean-html.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/hhc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/hhc.cmake @ONLY)

FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html)

SET(HALIBUT_SOURCES
	${CMAKE_CURRENT_BINARY_DIR}/intro.but
	${CMAKE_CURRENT_SOURCE_DIR}/addm.but
	${CMAKE_CURRENT_SOURCE_DIR}/changem.but
	${CMAKE_CURRENT_SOURCE_DIR}/drawm.but
	${CMAKE_CURRENT_SOURCE_DIR}/editm.but
	${CMAKE_CURRENT_SOURCE_DIR}/filem.but
	${CMAKE_CURRENT_SOURCE_DIR}/helpm.but
	${CMAKE_CURRENT_SOURCE_DIR}/hotbar.but
	${CMAKE_CURRENT_SOURCE_DIR}/macrom.but
	${CMAKE_CURRENT_SOURCE_DIR}/managem.but
	${CMAKE_CURRENT_SOURCE_DIR}/optionm.but
	${CMAKE_CURRENT_SOURCE_DIR}/statusbar.but
	${CMAKE_CURRENT_SOURCE_DIR}/view_winm.but
	${CMAKE_CURRENT_SOURCE_DIR}/navigation.but
	${CMAKE_CURRENT_SOURCE_DIR}/appendix.but
	${help_BINARY_DIR}/messages.but
	${CMAKE_CURRENT_SOURCE_DIR}/upgrade.but
	${CMAKE_CURRENT_SOURCE_DIR}/warranty.but
	)

# Add a custom command for cleaning the HTML staging directory
ADD_CUSTOM_TARGET(clean-html
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
	COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake
	)

# If we're using the GTK back-end, just generate "vanilla" HTML help files for use with gtkhtml
IF(XTRKCAD_USE_GTK)

	IF (APPLE)
	   SET(HALIBUT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/osxconf.but ${HALIBUT_SOURCES})
	ELSE(APPLE)
	   SET(HALIBUT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/linconf.but ${HALIBUT_SOURCES})
	ENDIF(APPLE)

	ADD_CUSTOM_COMMAND(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/html/index.html
		DEPENDS halibut ${HALIBUT_SOURCES}
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
		COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake
		COMMAND halibut ${HALIBUT_SOURCES}
		)

	ADD_CUSTOM_TARGET(help-html ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/html/index.html)

	INSTALL(
		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
		DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
		)

	INSTALL(
		DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/png.d
		DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/html
		)

	INSTALL(
		FILES xtrkcad_lin.css
		DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/html
        )
# Copy the help files to the Help bundle if Apple
	IF (APPLE)
        ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/html/XTrackCAD.helpindex
        DEPENDS help-html ${HALIBUT_SOURCES}
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
        COMMAND hiutil -Cf XTrackCAD.helpindex -gva -e "IndexPage.html" -e "toc.html" ${CMAKE_CURRENT_BINARY_DIR}/html
        )

        ADD_CUSTOM_TARGET(help-index ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/html/XTrackCAD.helpindex)

        INSTALL(
            DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
            DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/XTrackCAD.help/Contents/Resources/en.lproj
        )
        INSTALL(
            DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/png.d
            DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/XTrackCAD.help/Contents/Resources/en.lproj
        )
	    INSTALL(
	        FILES xtrkcad_osx.css
		    DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}/XTrackCAD.help/Contents/Resources/en.lproj/sty
	)
    ENDIF(APPLE)

# Otherwise, we're using the Win32 back-end, so generate a compiled HTML help file
ELSE(XTRKCAD_USE_GTK)

	SET(HALIBUT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/chmconf.but ${HALIBUT_SOURCES})
	FILE(GLOB IMAGE_SOURCES png.d/*)

	ADD_CUSTOM_COMMAND(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/html/xtrkcad.chm
		DEPENDS halibut ${HALIBUT_SOURCES} ${IMAGE_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/xtrkcad_win.css
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
		COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/clean-html.cmake
		COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/png.d ${CMAKE_CURRENT_BINARY_DIR}/html/png.d
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/xtrkcad_win.css ${CMAKE_CURRENT_BINARY_DIR}/html
		COMMAND halibut ${HALIBUT_SOURCES}
		COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/hhc.cmake
		)

	ADD_CUSTOM_TARGET(help-chm ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/html/xtrkcad.chm)

	INSTALL(
		FILES ${CMAKE_CURRENT_BINARY_DIR}/html/xtrkcad.chm
        DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
		)

ENDIF(XTRKCAD_USE_GTK)

=== app/dynstring/CMakeLists.txt ===
# compile the dynstring library

set( SOURCES
	 dynstring.c )

add_library(dynstring
			${SOURCES})

if(XTRKCAD_TESTING)			
	add_subdirectory( unittest )
endif(XTRKCAD_TESTING)

=== app/help/CMakeLists.txt ===
PROJECT(help)

ADD_EXECUTABLE(genhelp genhelp.c cJSON.c cJSON.h)

ADD_EXECUTABLE(genmessages genmessages.c)

IF(XTRKCAD_USE_GETTEXT)
	SET(GENMESSAGES_OPTS "-i18n")
ELSE(XTRKCAD_USE_GETTEXT)
	SET(GENMESSAGES_OPTS "")
ENDIF(XTRKCAD_USE_GETTEXT)

ADD_CUSTOM_COMMAND(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/messages.h ${CMAKE_CURRENT_BINARY_DIR}/messages.but
	DEPENDS genmessages ${CMAKE_CURRENT_SOURCE_DIR}/messages.in
	COMMAND genmessages ${GENMESSAGES_OPTS} ${CMAKE_CURRENT_SOURCE_DIR}/messages.in ${CMAKE_CURRENT_BINARY_DIR}/messages.but
	)

ADD_CUSTOM_TARGET(Help ALL
	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/messages.h ${CMAKE_CURRENT_BINARY_DIR}/messages.but
	)

INSTALL(
	FILES xtrkcad.tip
	DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
	)

=== app/i18n/CMakeLists.txt ===
PROJECT(i18n)

# List of the supported locales.
SET(XTRKCAD_LOCALE_IDS
	de_DE
	fi
	fr_FR
	pt_BR
	)

# Misc variables
SET(XTC_LOCALE_TARGETS )
SET(POTFILE "${i18n_BINARY_DIR}/${XTRKCAD_PACKAGE}.pot")
SET(XGTKEYWORDS
	--keyword=_
	--keyword=p_
	--keyword=N_)

# Programs
FIND_PROGRAM(XTC_XGETTEXT xgettext PATHS [HKEY_LOCAL_MACHINE\\SOFTWARE\\GnuWin32\\;InstallPath]/bin )
FIND_PROGRAM(XTC_MSGINIT msginit PATHS [HKEY_LOCAL_MACHINE\\SOFTWARE\\GnuWin32\\;InstallPath]/bin )
FIND_PROGRAM(XTC_MSGMERGE msgmerge PATHS [HKEY_LOCAL_MACHINE\\SOFTWARE\\GnuWin32\\;InstallPath]/bin )
FIND_PROGRAM(XTC_MSGFMT msgfmt PATHS [HKEY_LOCAL_MACHINE\\SOFTWARE\\GnuWin32\\;InstallPath]/bin )
SET(XTC_TRANSLATOR "" CACHE FILEPATH "Translator program for editing the .po files.")
MARK_AS_ADVANCED(XTC_XGETTEXT XTC_MSGINIT XTC_MSGMERGE
                 XTC_MSGFMT XTC_TRANSLATOR)

# Create the list of the original source files.
FILE(GLOB_RECURSE XGT_SOURCE_FILES
	RELATIVE ${i18n_SOURCE_DIR}
	${XTrkCAD_SOURCE_DIR}/*.c
	${XTrkCAD_SOURCE_DIR}/*.h)

# add wlib files that have translatable strings
FILE(RELATIVE_PATH TEMP_FILENAME ${i18n_SOURCE_DIR} "${wlib_SOURCE_DIR}/mswlib/mswmisc.c")
LIST(APPEND XGT_SOURCE_FILES ${TEMP_FILENAME})

# Dynamically generated files, such as messages.h and bllnhlp.c, must be added
# to the list manually to make sure that everything works properly.
# "FILE(RELATIVE_PATH ..." is used to get rid of the absolute paths like
# "/home/my_funny_username/very_long_path_to_my_projects/source_file.c"
# in the .pot and .po files.
FILE(RELATIVE_PATH TEMP_FILENAME ${i18n_SOURCE_DIR} "${help_BINARY_DIR}/messages.h")
LIST(APPEND XGT_SOURCE_FILES ${TEMP_FILENAME})
FILE(RELATIVE_PATH TEMP_FILENAME ${i18n_SOURCE_DIR} "${XTrkCAD_BINARY_DIR}/app/bin/bllnhlp.c")
LIST(APPEND XGT_SOURCE_FILES ${TEMP_FILENAME})
FILE(RELATIVE_PATH TEMP_FILENAME ${i18n_SOURCE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/custmsg.h")
LIST(APPEND XGT_SOURCE_FILES ${TEMP_FILENAME})

# Extract strings and create xtrkcad.pot
ADD_CUSTOM_COMMAND(
	OUTPUT ${POTFILE}
	COMMAND ${XTC_XGETTEXT} ${XGTKEYWORDS} --add-comments=i18n -d ${GETTEXT_PACKAGE} -F -o ${POTFILE} --from-code=ISO-8859-15 ${XGT_SOURCE_FILES}
	DEPENDS xtrkcad ${CMAKE_CURRENT_BINARY_DIR}/custmsg.h
	WORKING_DIRECTORY ${i18n_SOURCE_DIR}
	)

# Loop through the list of the supported locales
FOREACH(localeid ${XTRKCAD_LOCALE_IDS})
	SET(POFILE ${i18n_SOURCE_DIR}/${localeid}.po)
	SET(MOFILE_DIR ${i18n_BINARY_DIR}/${localeid}/LC_MESSAGES)
	SET(MOFILE ${MOFILE_DIR}/${XTRKCAD_PACKAGE}.mo)

	# Merge .pot file changes to .po file
	ADD_CUSTOM_TARGET(msgmerge-${localeid}
		COMMAND ${XTC_MSGMERGE} -U --backup=none ${POFILE} ${POTFILE}
		DEPENDS ${POTFILE} ${POFILE}
		)

	# If new locale id was added, add .po file creation routine
	IF(NOT EXISTS ${POFILE})
		ADD_CUSTOM_COMMAND(
			OUTPUT ${POFILE}
			COMMAND ${XTC_MSGINIT} -l ${localeid} -o ${POFILE} -i ${POTFILE}
			DEPENDS ${POTFILE}
			)
	ENDIF(NOT EXISTS ${POFILE})

	FILE(MAKE_DIRECTORY ${MOFILE_DIR})

	# Compile .po file to binary format .mo file
	ADD_CUSTOM_COMMAND(
		OUTPUT ${MOFILE}
		COMMAND ${XTC_MSGFMT} -c -v -o ${MOFILE} ${POFILE}
		DEPENDS ${POFILE}
		)

	# If translator program was given, add target to edit .po files with it
	IF(XTC_TRANSLATOR)
		ADD_CUSTOM_TARGET(msgtranslate-${localeid}
			COMMAND ${XTC_TRANSLATOR} ${POFILE}
			)
	ENDIF(XTC_TRANSLATOR)

	# Install all .mo files
	INSTALL(
		FILES ${MOFILE}
		DESTINATION ${XTRKCAD_LOCALE_INSTALL_DIR}/${localeid}/LC_MESSAGES
		)

	SET(XTC_LOCALE_TARGETS
		${XTC_LOCALE_TARGETS}
		${i18n_BINARY_DIR}/${localeid}/LC_MESSAGES/xtrkcad.mo
		)

ENDFOREACH(localeid)

# Target to be executed with "make all". Xtrkcad must be built before this to
# make sure that the dynamically generated files messages.h and bllnhlp.c are
# up to date.
ADD_CUSTOM_TARGET(messages ALL
	DEPENDS xtrkcad ${POTFILE} ${XTC_LOCALE_TARGETS}
	)

# Custom message files list
FILE(GLOB_RECURSE XTC_CUSTOM_MSG_FILES
	${XTrkCAD_SOURCE_DIR}/*.xtq
	${XTrkCAD_SOURCE_DIR}/*.xtr
	${XTrkCAD_SOURCE_DIR}/*.tip)

# Custom string extractor utility
ADD_EXECUTABLE(stripmsg stripmsg.c)

# Extract translatable strings from custom message files to one temporary file
ADD_CUSTOM_COMMAND(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/custmsg.h
	COMMAND stripmsg ${XTC_CUSTOM_MSG_FILES} > ${CMAKE_CURRENT_BINARY_DIR}/custmsg.h
	DEPENDS stripmsg ${XTC_CUSTOM_MSG_FILES}
	)

=== app/lib/CMakeLists.txt ===
# CMakeList for the LIB directory
#
# Include the subdirectories for params, examples and params
# Generate and install a Readme.txt file from markdown if pandoc is available on the system
# install desktop integration following freedesktop.org specification 
#
project(lib)

add_subdirectory(demos)
add_subdirectory(examples)
add_subdirectory(params)

install(FILES 
	COPYING
	logo.bmp
	xtrkcad.xtq
	DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
	)
	
set( infile "${CMAKE_CURRENT_SOURCE_DIR}/Readme.md" )
set( outfile "${CMAKE_CURRENT_BINARY_DIR}/Readme.txt" )
set( changelogin "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md" )
set( changelogout "${CMAKE_CURRENT_BINARY_DIR}/CHANGELOG.txt" )

if(PANDOC_FOUND)
	add_custom_command(OUTPUT "${outfile}"
					   COMMAND ${PANDOC_EXECUTABLE} "--from=Markdown" "--to=plain" "-o" ${outfile} ${infile} 
					   DEPENDS "${infile}" 
					  )
	add_custom_target(CHANGELOG ALL DEPENDS ${changelogout})					  
	add_custom_command(OUTPUT "${changelogout}"
					   COMMAND ${PANDOC_EXECUTABLE} "--from=Markdown" "--to=plain" "-o" ${changelogout} ${changelogin} 
					   DEPENDS "${changelogin}" 
					  )
	add_custom_target(Readme ALL DEPENDS ${outfile})
	install(FILES ${outfile} ${changelogout}
			DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
			)
else()			
	message(STATUS "Pandoc is not available on this system, Readme.txt is not generated!")
endif()
	
if(UNIX AND NOT APPLE)
    install(PROGRAMS
        xdg-open
        DESTINATION ${XTRKCAD_SHARE_INSTALL_DIR}
        )
	install(FILES
		xtrkcad.desktop
		DESTINATION "${XTRKCAD_SHARE_INSTALL_DIR}/applications"
		)
	install(FILES
		xtrkcad.png
		DESTINATION "${XTRKCAD_SHARE_INSTALL_DIR}/pixmaps"
		)
endif()

=== app/wlib/CMakeLists.txt ===
PROJECT(wlib)

INCLUDE_DIRECTORIES("${wlib_SOURCE_DIR}/include")

IF(XTRKCAD_USE_GTK)
	ADD_SUBDIRECTORY(gtklib)
ELSE(XTRKCAD_USE_GTK)
	ADD_SUBDIRECTORY(mswlib)
ENDIF(XTRKCAD_USE_GTK)

=== distribution/posix/CMakeLists.txt ===
# Setup packaging ...
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "XTrackCAD is a CAD program for designing model railroad layouts.")
set(CPACK_GENERATOR "DEB" "RPM" "STGZ")
set(CPACK_SOURCE_GENERATOR "TGZ" "TBZ2" "ZIP")
set(CPACK_PACKAGE_RELEASE 1)
set(CPACK_RPM_PACKAGE_LICENSE "GPL")
set(CPACK_RPM_PACKAGE_GROUP "Applications/Engineering")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}////xtrkcad-desc.txt")
set(CPACK_PACKAGE_FILE_NAME "xtrkcad-setup-${XTRKCAD_VERSION}-${CPACK_PACKAGE_RELEASE}.${CMAKE_SYSTEM_PROCESSOR}")

set(CPACK_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} )
set(CPACK_PACKAGING_INSTALL_PREFIX ${CPACK_INSTALL_PREFIX})

# get the specific configuration for each packager
set(CPACK_PROJECT_CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/package.txt)

set(CPACK_PACKAGE_VENDOR "XTrackCAD Fork Project")

# common dependencies for all Linux builds
set(CPACK_RPM_PACKAGE_REQUIRES "glibc gtk2 zip zlib")

set(CPACK_RPM_BUILDREQUIRES 
    "gcc, cmake >= 2.4.7, pkgconfig, gtk2-devel" 
    "gettext, gettext-devel, glibc-devel"
)

# Add dependency to webkitgtk if configured
if(NOT XTRKCAD_USE_BROWSER)
    set(CPACK_RPM_PACKAGE_REQUIRES 
        "${CPACK_RPM_PACKAGE_REQUIRES} webkitgtk")
#    message(AUTHOR_WARNING "Add dependency to webkitgtk for viewing help!")
endif()

# exclude these directories from the rpm
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
	"/usr/local"
	"/usr/local/share"
	"/usr/local/bin" 
	"/usr/share/locale"
	"/usr/share/locale/*"
	"/usr/local/share/locale"
	"/usr/local/share/locale/*"
	"/usr/share/applications"
	"/usr/share/pixmaps"
)

set(CPACK_RPM_CHANGELOG_FILE "${CMAKE_CURRENT_SOURCE_DIR}////changelog.txt")

set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)

set(CPACK_DEBIAN_PACKAGE_NAME "XTrkCad")

set(CPACK_DEBIAN_PACKAGE_VERSION "1:${XTRKCAD_VERSION}")

set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")

set(CPACK_DEBIAN_PACKAGE_DEPENDS "zip")

set(CPACK_DEBIAN_PACKAGE_MAINTAINER "xtrkcad@sillub.com")

set(CPACK_PACKAGE_CONTACT "xtrkcad@sillub.com")

set(CPACK_DEBIAN_PACKAGE_DESCRIPTION "XTrkCad description")

set(CPACK_DEBIAN_PACKAGE_SECTION "contrib/graphics")

set(CPACK_DEBIAN_PACKAGE_COMPRESSION "gzip")

set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")

set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "xtrkcad.org")

set(CPACK_PACKAGE_EXECUTABLES "xtrkcad;XTrkCad-5.2.1-Beta")

set(CPACK_CREATE_DESKTOP_LINKS "xtrkcad")

include(CPack)

=== docs/doxygen/CMakeLists.txt ===
PROJECT(doxygen)

INCLUDE(FindDoxygen)

IF(WIN32)
	SET( XTrkCAD_WLIB_DIR
		"mswlib" )
ELSE(WIN32)
	SET( XTrkCAD_WLIB_DIR
		"gtklib" )
ENDIF(WIN32)

CONFIGURE_FILE(${doxygen_SOURCE_DIR}/Doxyfile.in ${doxygen_BINARY_DIR}/Doxyfile)

ADD_CUSTOM_TARGET(docs-doxygen
	COMMAND ${DOXYGEN_EXECUTABLE} ${doxygen_BINARY_DIR}/Doxyfile
	)

=== debian/changelog ===
xtrkcad (1:5.2.0Beta2.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0901-implicit-function-declaration.patch. Fix FTBFS after dpkg enabled
      -Werror=implicit-function-declaration by default. (Closes: #1066691).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Apr 2024 10:41:33 +0200

xtrkcad (1:5.2.0Beta2.1-1) unstable; urgency=medium

  * New upstream release.
  * New debian/xtrkcad-common.lintian-overrides:
    - Add national-encoding (xtr are data files).
  * Remove file to use upstream ones:
    - debian/xtrkcad.desktop
    - xtrkcad.desktop
  * debian/control:
    - Add new Build-Depend libzip-dev
  * debian/rules: 
    - Add export DEB_LDFLAGS_MAINT_APPEND to fix the ld error
      "multiple definition" (Closes: #958005).
  * Refresh patches:
    - debian/patches/0900-spelling-errors.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 22 Aug 2020 14:17:45 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =  -Wl,--allow-multiple-definition 

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
			-DXTRKCAD_USE_GETTEXT=ON \
			-DXTRKCAD_USE_GTK=ON \
			-DCMAKE_INSTALL_PREFIX:PATH=/usr/
